package com.hfkj.model.HwPushModel;

/**
 * @author sum1dream
 */
public class HwPushBody {

    /**
     * @Author Sum1Dream
     * @Description // 控制当前是否为测试消息，测试消息只做格式合法性校验，不会推送给用户设备，取值如下：
     * true：测试消息
     * false：正式消息（默认值）
     */
    private Boolean validate_only;

    /**
     * @Author Sum1Dream
     * @Description // 推送消息结构体，message结构体中必须存在有效消息负载以及有效发送目标
     */
    private HwPushMessage hwPushMessage;

    public Boolean getValidate_only() {
        return validate_only;
    }

    public void setValidate_only(Boolean validate_only) {
        this.validate_only = validate_only;
    }

    public HwPushMessage getHwPushMessage() {
        return hwPushMessage;
    }

    public void setHwPushMessage(HwPushMessage hwPushMessage) {
        this.hwPushMessage = hwPushMessage;
    }
}
